Cleanup unused container images
curl --request DELETE \
--url https://api.blaxel.ai/v0/images \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blaxel.ai/v0/images"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blaxel.ai/v0/images', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deleted": 123,
"message": "<string>"
}images
Cleanup unused container images
Cleans up unused container images in the workspace registry. Only removes images that are not currently referenced by any active agent, function, sandbox, or job deployment.
DELETE
/
images
Cleanup unused container images
Last modified on July 1, 2026
Was this page helpful?
⌘I
